com.hazelcast.org.snakeyaml.engine.v1.nodes

## Class Tag

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.nodes.Tag

-     public final class Tag
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Tag` | `BINARY`
    `static Tag` | `BOOL`
    `static Tag` | `FLOAT`
    `static Tag` | `INT`
    `static Tag` | `MAP`
    `static Tag` | `MERGE`
    `static Tag` | `NULL`
    `static String` | `PREFIX`
    `static Tag` | `SEQ`
    `static Tag` | `SET`
    `static Tag` | `STR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tag(Class<? extends Object> clazz)` Create a global tag to dump the fully qualified class name
    `Tag(String tag)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getValue()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PREFIX

          public static final String PREFIX

      See Also:
        Constant Field Values

    - #### MERGE

          public static final Tag MERGE

    - #### SET

          public static final Tag SET

    - #### BINARY

          public static final Tag BINARY

    - #### INT

          public static final Tag INT

    - #### FLOAT

          public static final Tag FLOAT

    - #### BOOL

          public static final Tag BOOL

    - #### NULL

          public static final Tag NULL

    - #### STR

          public static final Tag STR

    - #### SEQ

          public static final Tag SEQ

    - #### MAP

          public static final Tag MAP

  - ### Constructor Detail

    - #### Tag

          public Tag(String tag)

    - #### Tag

          public Tag(Class<? extends Object> clazz)

      Create a global tag to dump the fully qualified class name
      Parameters:
        `clazz` - - the class to use the name

  - ### Method Detail

    - #### getValue

          public String getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2019. All rights reserved.